@echo off
:============================================================================
echo. 
echo. This batch file will copy the Synaptics driver installation disks
echo. to floppy disk.  Please format and label two diskettes to receive
echo. the installation files.  
echo.
if not "%CopyTarget%" == "" goto StartCopy
if not "%1" == "" goto SetTarget
goto Help
:SetTarget  
set CopyTarget=%1
:StartCopy   
echo.Coping files to %CopyTarget%  
pause Please insert Disk 1.  Press any key to continue.
XCopy DATA.TAG %CopyTarget%\*.*
XCopy data1.cab %CopyTarget%\*.*
XCopy data1.hdr %CopyTarget%\*.*
XCopy lang.dat %CopyTarget%\*.*
XCopy layout.bin %CopyTarget%\*.*
XCopy os.dat %CopyTarget%\*.*
XCopy ReadMe.txt %CopyTarget%\*.*
XCopy RunOnce.exe %CopyTarget%\*.*
XCopy Setup.exe %CopyTarget%\*.*
XCopy SETUP.INI %CopyTarget%\*.*
XCopy setup.ins %CopyTarget%\*.*
XCopy Setup.iss %CopyTarget%\*.*
XCopy setup.lid %CopyTarget%\*.*
XCopy SynTP.cat %CopyTarget%\*.*
XCopy SynTP.inf %CopyTarget%\*.*
XCopy SynTP.vxd %CopyTarget%\*.*
XCopy SynTPIni.exe %CopyTarget%\*.*
XCopy _INST32I.EX_ %CopyTarget%\*.*
XCopy _ISDel.exe %CopyTarget%\*.*
XCopy _Setup.dll %CopyTarget%\*.*
XCopy _sys1.cab %CopyTarget%\*.*
XCopy _sys1.hdr %CopyTarget%\*.*
XCopy _user1.cab %CopyTarget%\*.*
XCopy _user1.hdr %CopyTarget%\*.*
echo.Please insert Disk 2.  Press any key to continue.
pause
XCopy data2.cab %CopyTarget%\*.*
XCopy Inst95.exe %CopyTarget%\*.*
XCopy SynTP.inf %CopyTarget%\*.*
if not "%1" == "" set CopyTarget=
goto exit
:Help 
echo.Missing target location! 
echo. 
echo.You must specify where the files are to be copied. 
echo.You may specify on the command line, e.g. MakeFloppy a:  
echo.or set the environment variable CopyTarget. 
:exit  
